/*
 Licensed Materials - Property of IBM
 5724-L01
 Copyright IBM Corporation 2009. All Rights Reserved.
 US Government Users Restricted Rights- Use, duplication or disclosure
 restricted by GSA ADP Schedule Contract with IBM Corp.
*/
var wshShell = WScript.createobject("WScript.Shell");
var fileObject = WScript.createobject("Scripting.FileSystemObject");
var startMenuLocation = wshShell.SpecialFolders("Programs");

var cmd = "%windir%\\system32\\cmd.exe";
var forReading = 1;
var tristateUseDefault = -2;
var f = fileObject.GetFile(${WASROOT} + "\\properties\\version\\nif\\config.wbi\\script\\productShortCut2StartMenuWBI.txt");
var ts = f.OpenAsTextStream(forReading, tristateUseDefault);
var icounter = ts.ReadLine();
ts.Close();

var scounter;
if (icounter == 0)
      scounter = "";
else
      scounter = " (" + icounter + ")";


if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere")))
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere");
      
if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere\\Process Server 7.0" + scounter)))
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere\\Process Server 7.0" + scounter);

var objShellLinkInfoCenter = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Process Server 7.0" + scounter + "\\${INFOCENTER}.lnk");
var objShellLinkOnlineSupport = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Process Server 7.0" + scounter + "\\${ONLINESUPPORT}.lnk");
var objShellLinkPCAT = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Process Server 7.0" + scounter + "\\${PROFILECREATION}.lnk");
var objShellLinkFirstSteps = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Process Server 7.0" + scounter + "\\${FIRSTSTEPS}.lnk");

//1: Activates and displays a window. If the window is minimized or maximized, the system restores it to its original size and position. 
//3: Activates the window and displays it as a maximized window.  
//7: Minimizes the window and activates the next top-level window. 
objShellLinkInfoCenter.WindowStyle = 1;
objShellLinkOnlineSupport.WindowStyle = 1;
objShellLinkPCAT.WindowStyle = 1;
objShellLinkFirstSteps.WindowStyle = 7;

objShellLinkInfoCenter.IconLocation = ${WASROOT} + "\\bin\\icons\\infocenter.ico";
objShellLinkInfoCenter.TargetPath = cmd;
objShellLinkInfoCenter.Description = "${INFOCENTER}";
objShellLinkInfoCenter.Arguments = "/c start /b http://publib.boulder.ibm.com/infocenter/dmndhelp/v6r2mx/index.jsp";
objShellLinkInfoCenter.Save(); //commit change

objShellLinkOnlineSupport.IconLocation = ${WASROOT} + "\\bin\\icons\\support.ico";
objShellLinkOnlineSupport.TargetPath = cmd;
objShellLinkOnlineSupport.Description = "${ONLINESUPPORT}";
objShellLinkOnlineSupport.Arguments = "/c start /b http://www.ibm.com/software/integration/wps/support";
objShellLinkOnlineSupport.Save(); //commit change

var pmtCmd = "pmt.bat";
if ((fileObject.FileExists(${WASROOT} + "\\bin\\ProfileManagement\\pmt.bat")))
{   
	pmtCmd = "pmt.bat";
	
	objShellLinkPCAT.IconLocation = ${WASROOT} + "\\bin\\icons\\profile_creation_icon.ico";
	objShellLinkPCAT.TargetPath = ${WASROOT} + "\\bin\\ProfileManagement\\" + pmtCmd; 
	objShellLinkPCAT.WorkingDirectory = ${WASROOT} + "\\bin\\ProfileManagement";
	objShellLinkPCAT.Description = "${PROFILECREATION}";
	objShellLinkPCAT.Save(); //commit change
}

objShellLinkFirstSteps.IconLocation = ${WASROOT} + "\\bin\\icons\\firststeps.ico";
objShellLinkFirstSteps.TargetPath = ${WASROOT} + "\\firststeps\\wbi\\firststeps.bat";
objShellLinkFirstSteps.WorkingDirectory = ${WASROOT} + "\\firststeps\\wbi";
objShellLinkFirstSteps.Description = "${FIRSTSTEPS}";
objShellLinkFirstSteps.Save(); //commit change
